## org.eclipse.wst.ws.service.policy.listeners
Interface IStatusChangeListener

    public interface IStatusChangeListener

This interface is used by code that is interested in listening to status change events of service policies.

Method Summary
`void` `statusChange(IServicePolicy policy, org.eclipse.core.runtime.IStatus oldStatus, org.eclipse.core.runtime.IStatus newStatus)` Called when a status change event occurs.

Method Detail

### statusChange

    void statusChange(IServicePolicy policy,
                      org.eclipse.core.runtime.IStatus oldStatus,
                      org.eclipse.core.runtime.IStatus newStatus)

  Called when a status change event occurs.

  Parameters:
    `policy` - the service policy.
    `oldStatus` - the old status.
    `newStatus` - the new status.